package com.yc.education.util;

public class ProductDesign {
	
	//最大设计数1000
	public static double add(double desPrice,int num) {
		if(num < 2) {
			return 0;
		}
		double a = desPrice;
		if(num>=2&&num<15) {  
			for(int i=2;i<num;i++) {
				if((num-3)%3==0 && num>6) {
					a+=0.1;
				}
				a-=0.2;
			}
		}else if(num>=15&&num<=30) {
			a=3.6;
			for(int i=15;i<num;i++) {
				a-=0.09;
			}
		}else if(num>30&&num<40) {
			a=2.2;
			for(int i=30;i<num;i++) {
				a-=0.1;
			}
			
		}else if(num>=40&&num<=50) {
			a=1.64;
			for(int i=40;i<num;i++) {
				a+=0.05;
			}
		}else  {
			a=3.0;
		}
		num--;
		return a+add(desPrice,num);
	}		
			

}
